# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/mtd/microchip,mchp23k256.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Microchip 23K256 SPI SRAM

maintainers:
  - Richard Weinberger <richard@nod.at>

description:
  The Microchip 23K256 is a 256 Kbit (32 Kbyte) serial SRAM with an
  SPI interface,supporting clock frequencies up to 20 MHz. It features
  a 32-byte page size for writes and supports byte, page, and
  sequential access modes.

allOf:
  - $ref: /schemas/spi/spi-peripheral-props.yaml#

properties:
  compatible:
    enum:
      - microchip,mchp23k256
      - microchip,mchp23lcv1024

  reg:
    maxItems: 1

required:
  - reg
  - compatible
  - spi-max-frequency

unevaluatedProperties: false

examples:
  - |
    spi {
        #address-cells = <1>;
        #size-cells = <0>;

        sram@0 {
            compatible = "microchip,mchp23k256";
            reg = <0>;
            spi-max-frequency = <20000000>;
        };
    };
...
